Debian Bug report logs - #729146
ITP: cura-engine -- commandline slicer program for 3-D printers

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Bas Wijnen <wijnen@debian.org>

Date: Sat, 9 Nov 2013 15:30:02 UTC

Owned by: Bas Wijnen <wijnen@debian.org>

Severity: wishlist

Fixed in version cura-engine/14.01-1

Done: Bas Wijnen <wijnen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wijnen@debian.org, debian-devel@lists.debian.org, 3dprinter-general@lists.alioth.debian.org, 706656@bugs.debian.org, wnpp@debian.org:
Bug#729146; Package wnpp. (Sat, 09 Nov 2013 15:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bas Wijnen <wijnen@debian.org>:
New Bug report received and forwarded. Copy sent to wijnen@debian.org, debian-devel@lists.debian.org, 3dprinter-general@lists.alioth.debian.org, 706656@bugs.debian.org, wnpp@debian.org. (Sat, 09 Nov 2013 15:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bas Wijnen <wijnen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: cura-engine -- commandline slicer program for 3-D printers
Date: Sat, 09 Nov 2013 10:26:43 -0500
Package: wnpp
Severity: wishlist
Owner: Bas Wijnen <wijnen@debian.org>

* Package name    : cura-engine
  Version         : 13.06~git20131109
  Upstream Author : Daid <daid303@gmail.com>
* URL             : https://github.com/Ultimaker/CuraEngine
* License         : AGPL
  Programming Lang: C++
  Description     : commandline slicer program for 3-D printers

3-D printers need a toolpath for printing, while what is usually distributed is
a 3-D model.  A slicer programs converts a model to a toolpath, with user
defined settings for options such as infill density and printing speed.

This slicer is the commandline backend of Cura.



Reply sent to Bas Wijnen <wijnen@debian.org>:
You have taken responsibility. (Thu, 06 Feb 2014 16:03:14 GMT) Full text and rfc822 format available.

Notification sent to Bas Wijnen <wijnen@debian.org>:
Bug acknowledged by developer. (Thu, 06 Feb 2014 16:03:14 GMT) Full text and rfc822 format available.

Message #10 received at 729146-close@bugs.debian.org (full text, mbox):

From: Bas Wijnen <wijnen@debian.org>
To: 729146-close@bugs.debian.org
Subject: Bug#729146: fixed in cura-engine 14.01-1
Date: Thu, 06 Feb 2014 16:00:07 +0000
Source: cura-engine
Source-Version: 14.01-1

We believe that the bug you reported is fixed in the latest version of
cura-engine, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 729146@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bas Wijnen <wijnen@debian.org> (supplier of updated cura-engine package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 04 Feb 2014 20:14:06 -0500
Source: cura-engine
Binary: cura-engine
Architecture: source i386
Version: 14.01-1
Distribution: unstable
Urgency: low
Maintainer: 3-D printer team <3dprinter-general@lists.alioth.debian.org>
Changed-By: Bas Wijnen <wijnen@debian.org>
Description: 
 cura-engine - commandline slicer program for 3-D printers
Closes: 729146
Changes: 
 cura-engine (14.01-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #729146)
   * Make include paths nicer.
   * Use system clipper library.
   * Report correct version.
Checksums-Sha1: 
 3644fe1e6c460c2440e25d436f17ea02c393eea0 1193 cura-engine_14.01-1.dsc
 4099d97f1ad658c2a00d1526974f046f02619b52 82288 cura-engine_14.01.orig.tar.xz
 cdcf69744d45a4de1297c4d485a2e843eb235f33 15448 cura-engine_14.01-1.debian.tar.xz
 c98967d3fb6978a456fabb8f04cd1af6bcaaeb1f 104544 cura-engine_14.01-1_i386.deb
Checksums-Sha256: 
 799630c94251cb89fef64b9757c557f252c2229ff7ab90a8692396fee78dfded 1193 cura-engine_14.01-1.dsc
 215750d0114574766c909b40ef991f29cd13edf41d9a1c61df54a4e353f8f635 82288 cura-engine_14.01.orig.tar.xz
 5ed125ab67423932c258316ad32e69c7f7efd05a422c35a01a10b079bf16c38c 15448 cura-engine_14.01-1.debian.tar.xz
 0495b9faa4932d807e6ebdc434c848887c11b3078e9c72beb01578a9179aa409 104544 cura-engine_14.01-1_i386.deb
Files: 
 388e7200abcd34bc1779b0679535f0fa 1193 utils optional cura-engine_14.01-1.dsc
 1cfcf1f6748a685e38def1002f50a177 82288 utils optional cura-engine_14.01.orig.tar.xz
 b319dcce8f343b8d61d04de0d4e253c6 15448 utils optional cura-engine_14.01-1.debian.tar.xz
 f64a8131f134c65a3691d887abf1678e 104544 utils optional cura-engine_14.01-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAlLxkW0ACgkQFShl+2J8z5VR8wCff7b1Y5+fvTES61B4VjGjuwIp
QuAAoI7lr38hYawzKXufh/UTQggdoT60
=DvYs
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Mar 2014 07:32:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:58:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.